#!/bin/bash

MYFILE="wikiniews_results.tsv"
COUNT=$(wc -l "$MYFILE" | awk '{print $1}')
echo $COUNT
# create trn
cut -f2 $MYFILE | awk 'BEGIN{FS=OFS="\t"}{print $0,"(sp1_"NR")"}' > hypothesis.trn
cut -f3 $MYFILE | awk 'BEGIN{FS=OFS="\t"}{print $0,"(sp1_"NR")"}' > reference.trn

#wer for each line
echo wer.txt | sclite -f 0 -r reference.trn trn -h hypothesis.trn trn -e utf-8 -i rm -o all stdout > scliteresult.txt
COUNT_DIFF=$(diff hypothesis.trn reference.trn | grep "^>" | wc -l)
echo $COUNT_DIFF

echo $(echo "$COUNT_DIFF/$COUNT" | bc -l) >> srr_results.txt
echo "$(tail -50 "srr_results.txt")" > srr_results.txt
